CATMAN(8)

NOMBRE
catman - crea o actualiza las páginas manuales preformateadas

SINOPSIS
catman [-d?V] [-M ruta] [-C fichero] [sección] ...

DESCRIPCIÓN
catman se utiliza para crear un conjunto actual de páginas preformateadas del manual conocidas como páginas cat. Páginas cat son generadalmente mucho más rápidas para enseñar que las páginas del manaul original,pero requier espacio de almacenaje adicional . La decisión para apoyar páginas cat es que del administrador local, el cual debe proporcionar directorios capaces de contenerlos. Las opciones disponibles a %carman% son las jerarquías y secciones de la página del manual para pre-formatear. Las jerarquías predeterminadas son aquellas especificadas dentro de fichero de configuración de la man-db, y las secciones predeterminadas son o los contenidos con dos puntos delimitados de la variable de entorno $MANSECT o el conjunto común compilado dentro de man si $MANSECT está indefinido. Proporcionando catman con un conjunto de nombres de seccción con espacios en blanco delimitados sobrescribiendo ambos en el superior. catman utiliza usuario de la caché de BD indizado asociado con cada jerarquía para determinar cual fichero requiere ser formateado.

OPCIONES

-d, --debug
    Muestra información depurativa.

-M ruta, --manpath=ruta
    Especifica una alternativa delimitada por los dos puntos de la ruta de búsqueda jerárquica del manual. Quizá, por defecto esto es todas las rutas indicadas como jerarquía del distema dentro del fichero de configuración de la base de datos man-db.

-C fichero, --config-file=fichero
    Utilice este fichero de configuracion de usuario mejor que el predeterminado de ~/.manpath.

-?, --help
    Escribe un mensaje de ayuda y termina.

--usage
    Escribe mensaje breve sobre uso del programa y termina.

-V, --version
    Enseña la versión de información.

ENTORNO

MANSECT
    Si $MANSECT está establecido, su valor es para un listado de sectiones delimitada por dos puntos y se emplea para determinar cuales secciones del manual a buscar y en cuál orden. Lo predeterminado es "1 1p 8 2 3 3p 4 5 6 7 9 0p tcl n l p o 1x 2x 3x 4x 5x 6x 7x 8x", a no ser sobrescrito por la directiva SECCIÓN en /etc/man_db.conf.

MANPATH
    Si se establece $MANPATH, su valor es interpretado como la jerarquización de página manual delimitada por dos puntos.

FICHEROS

/etc/man_db.conf
    configuración de fichero man-db.

/usr/man/index.(bt|db|dir|pag)
    Una caché de BD indexado global tradicional.

/var/catman/index.(bt|db|dir|pag)
    Una alternativa o FSSTND complaciente global index caché de base de datos.

VEA ADEMÁS
man(1), manpath(5), mandb(8)

AUTOR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).